<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Class org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/class-use/HierarchicalBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="HierarchicalBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl" class="title">Uses of Class<br>org.apache.commons.configuration2.builder.HierarchicalBuilderParametersImpl</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/INIBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">INIBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters class for INI configuration.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/XMLBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">XMLBuilderParametersImpl</a></span></code>
<div class="block">
 A specialized parameters class for XML configuration.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> that return <a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">HierarchicalBuilderParametersImpl</a></code></td>
<td class="colLast"><span class="typeNameLabel">HierarchicalBuilderParametersImpl.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html#setExpressionEngine-org.apache.commons.configuration2.tree.ExpressionEngine-">setExpressionEngine</a></span>(<a href="../../../../../../org/apache/commons/configuration2/tree/ExpressionEngine.html" title="interface in org.apache.commons.configuration2.tree">ExpressionEngine</a>&nbsp;engine)</code>
<div class="block">Sets the <code>ExpressionEngine</code> to be used when querying the
 configuration.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/builder/HierarchicalBuilderParametersImpl.html" title="class in org.apache.commons.configuration2.builder">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/builder/class-use/HierarchicalBuilderParametersImpl.html" target="_top">Frames</a></li>
<li><a href="HierarchicalBuilderParametersImpl.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
